<?php
global $aiosc_settings, $aiosc_capabilities;
?>
<ul class="aiosc-subtabs">
    <li data-screen="email"><?php _e('Auto Responders','aiosc')?></li>
    <li class="active" data-screen="email-piping"><?php _e('E-Mail Piping','aiosc')?></li>
</ul>
<input type="hidden" name="section" value="email-piping" />
<table class="form-table">
    <tbody>
    <tr>
        <th><label for="email_piping_enable"><?php _e('Enable E-Mail Piping','aiosc')?></label>
            <a href="#" class="aiosc-info-tooltip dashicons dashicons-lightbulb"></a>
            <small><?php _e('Allow users to reply to tickets via e-mail.','aiosc')?> </small>
        </th>
        <td>
            <label><input type="checkbox" id="email_piping_enable" name="email_piping_enable" value="1" <?php checked($aiosc_settings->get('email_piping_enable'))?>>
                <?php _e('Yes, allow users to reply to their tickets via e-mail.','aiosc')?></label>
        </td>
    </tr>
    <tr>
        <th><label for="email_piping_domain"><?php _e('E-mail Sub-Domain','aiosc')?></label>
            <a href="#" class="aiosc-info-tooltip dashicons dashicons-lightbulb"></a>
            <small><?php _e('Where to receive replies from users?','aiosc')?> </small>
        </th>
        <td>
            *@<input type="text" id="email_piping_domain" name="email_piping_domain" placeholder="aiosc.domain" value="<?php echo $aiosc_settings->get('email_piping_domain')?>" />
        </td>
    </tr>
    <tr>
        <th><label for="email_piping_enable_html"><?php _e('Enable HTML Content-Type','aiosc')?></label>
            <a href="#" class="aiosc-info-tooltip dashicons dashicons-lightbulb"></a>
            <small><?php _e('Allow HTML content in email or only plain text.','aiosc')?> </small>
        </th>
        <td>
            <label><input type="checkbox" id="email_piping_enable_html" name="email_piping_enable_html" value="1" <?php checked($aiosc_settings->get('email_piping_enable_html'))?>>
                <?php _e('Yes, allow user to send HTML e-mails.','aiosc')?></label>
        </td>
    </tr>
    <tr>
        <th>&nbsp;</th>
        <td>
            <input type="submit" class="button button-primary" id="aiosc-form-submit" value="<?php _e('Submit','aiosc')?>" />
            <button type="button" class="button" id="aiosc-form-discard"><?php _e('Discard','aiosc')?></button>
        </td>
    </tr>
    </tbody>
</table>